menu
#2581933 Declaration of TNTRun\commands\TNTRunCommand::getPlugin(): TNTRun\Main must be compatible with pocketmine\command\PluginIdentifiableCommand::getPlugin(): pocketmine\plugin\Plugin

Submitted by PocketMine-MP 3.5.13

General information

Version: 3.5.13
Git commit: 9afa0e54
Plugin involvement: Direct
Report date: 2019-07-12 04:33:57 +0000 UTC

System Information

PHP version: 7.2.19
Operating system: win
System banner: Windows NT WIN-5T6M608IHNQ 6.1 build 7601 (Windows Server 2008 R2 Enterprise Edition Service Pack 1) AMD64

Error information

Warning: the TNTRun plugin was directly involved in this crash. Please contact the plugin author.
Message: Declaration of TNTRun\commands\TNTRunCommand::getPlugin(): TNTRun\Main must be compatible with pocketmine\command\PluginIdentifiableCommand::getPlugin(): pocketmine\plugin\Plugin
File: plugins/TNTRun-Updated-master/src/TNTRun/commands/TNTRunCommand
Line: #11
Error level: E_COMPILE_ERROR
2
3
4
5
6
7
8
9
10
11
12
13
14
15
16
17
18
19
20
21

namespace TNTRun\commands;

use pocketmine\command\Command;
use pocketmine\command\CommandSender;
use pocketmine\command\PluginIdentifiableCommand;
use pocketmine\utils\TextFormat;
use TNTRun\Main;

class TNTRunCommand extends Command implements PluginIdentifiableCommand{
/** @var Main */
public $tntRun;
/** @var SubCmd[] */
public $subCommands = [];

public function __construct(Main $tntRun){
parent::__construct("tntrun", "TNTRun main command", "/tntrun help", ["tr"]);
$this->tntRun = $tntRun;
$this->setPermission("tntrun.command");

Loaded Plugins

  • Show

Server Settings

  • Show